--[[
	-K Scripts
	Simple Scripts to add Day & Night Cycle to your Server / Lua.
	Created by Furty's / -K (#110594).
]]

K = {} -- Global .K Table.

K.state = 0 -- 0 = Day, 1 = night.
K.countD = 190
K.countN = 0

config = {
	MaxDay = 355,
	MaxNight = 60
}

addhook("second", "second")
function second()
	if K.state == 0 then
		K.countD = K.countD + 1
		parse("sv_daylighttime "..K.countD)
		if K.countD >= config.MaxDay then
			K.countD = 190
			K.countN = 0
			K.state = 1
		end
	elseif K.state == 1 then
		K.countN = K.countN + 1
		parse("sv_daylighttime "..config.MaxDay)
		if K.countN >= config.MaxNight then
			K.countN = 0
			K.countD = 190
			K.state = 0
		end
	end
	--parse('hudtxt 1 "STATE: '..K.state..' | D: '..K.countD..' | N: '..K.countN..'" 40 40')
end


